Skip to content
Start here

Create Pipeline

client.Pipelines.NewV1(ctx, params) (*PipelineNewV1Response, error)
POST/accounts/{account_id}/pipelines/v1/pipelines

Create a new Pipeline.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines Write
ParametersExpand Collapse
params PipelineNewV1Params
AccountID param.Field[string]

Path param: Specifies the public ID of the account.

Name param.Field[string]

Body param: Specifies the name of the Pipeline.

maxLength128
minLength1
Sql param.Field[string]

Body param: Specifies SQL for the Pipeline processing flow.

ReturnsExpand Collapse
type PipelineNewV1Response struct{…}
ID string

Indicates a unique identifier for this pipeline.

CreatedAt string
ModifiedAt string
Name string

Indicates the name of the Pipeline.

maxLength128
minLength1
Sql string

Specifies SQL for the Pipeline processing flow.

Status string

Indicates the current status of the Pipeline.

Create Pipeline

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/pipelines"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Pipelines.NewV1(context.TODO(), pipelines.PipelineNewV1Params{
    AccountID: cloudflare.F("0123105f4ecef8ad9ca31a8372d0c353"),
    Name: cloudflare.F("my_pipeline"),
    Sql: cloudflare.F("insert into sink select * from source;"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.ID)
}
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status"
  },
  "success": true
}